Package it.ernytech.tdlib

## Class TdApi.Game

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Game

Enclosing class:
  TdApi

    public static class TdApi.Game
    extends TdApi.Object

Describes a game.

### Field Summary

Fields
`TdApi.Animation` `animation` Game animation; may be null.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `description` Game description.
`long` `id` Game ID.
`TdApi.Photo` `photo` Game photo.
`java.lang.String` `shortName` Game short name.
`TdApi.FormattedText` `text` Game text, usually containing scoreboards for a game.
`java.lang.String` `title` Game title.

### Constructor Summary

Constructors
`Game()` Default constructor.
`Game​(long id, java.lang.String shortName, java.lang.String title, TdApi.FormattedText text, java.lang.String description, TdApi.Photo photo, TdApi.Animation animation)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### id

    public long id

Game ID.

#### shortName

    public java.lang.String shortName

Game short name. To share a game use the URL https://t.me/{botUsername}?game={gameShortName}.

#### title

    public java.lang.String title

Game title.

#### text

    public TdApi.FormattedText text

Game text, usually containing scoreboards for a game.

#### description

    public java.lang.String description

Game description.

#### photo

    public TdApi.Photo photo

Game photo.

#### animation

    public TdApi.Animation animation

Game animation; may be null.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### Game

    public Game()

Default constructor.

#### Game

    public Game​(long id,
                java.lang.String shortName,
                java.lang.String title,
                TdApi.FormattedText text,
                java.lang.String description,
                TdApi.Photo photo,
                TdApi.Animation animation)

Constructor for initialization of all fields.

Parameters:
  `id` - Game ID.
  `shortName` - Game short name. To share a game use the URL https://t.me/{botUsername}?game={gameShortName}.
  `title` - Game title.
  `text` - Game text, usually containing scoreboards for a game.
  `description` - Game description.
  `photo` - Game photo.
  `animation` - Game animation; may be null.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR